.carousel {
    display: flex;
    width: 100%;
    height: 960px;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.carousel .arrow {
    width: 44px;
    height: 44px;
    position: absolute;
    z-index: 30;
    top: calc(50% - 44px);
    cursor: pointer;
    border-radius: 100%;
}

.carousel .arrow:hover {
    background: #EA6A1F;
}

.carousel .prev {
    left: 20%
}

.carousel .next {
    right: 20%;
}

.carousel__list {
    display: flex;
    list-style: none;
    position: relative;
    width: 100vw;
    height: 960px;
    justify-content: center;
    perspective: 300px;
    margin-right: 30px;
}

.carousel__item {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 1440px;
    height: 960px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.16);
    position: absolute;
    transition: all 0.3s ease-in;
    background: #F8F9FD;
}

.carousel__image {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.carousel__item[data-pos="0"] {
    z-index: 5;
}

.carousel__item[data-pos="-1"], .carousel__item[data-pos="1"] {
    z-index: 4;
}

.carousel__item[data-pos="-1"] {
    transform: translateX(-15%) scale(0.85) rotateY(3deg);
}

.carousel__item[data-pos="1"] {
    transform: translateX(15%) scale(0.85) rotateY(-3deg);
}

.carousel__item[data-pos="-2"], .carousel__item[data-pos="2"] {
    z-index: 3;
}

.carousel__item[data-pos="-2"] {
    transform: translateX(-25%) scale(0.8) rotateY(3deg);
}

.carousel__item[data-pos="2"] {
    transform: translateX(25%) scale(0.8) rotateY(-3deg);
}

.carousel__borders {
    position: absolute;
    width: 914px;
    height: 100%;
    border-left: 1px solid #DDE1FF;
    border-right: 1px solid #DDE1FF;
    z-index: 30;
    margin: 0 auto;
    pointer-events: none;
}

.feature-container {
    text-align: center;
    color: #000000;
    margin: 0 395px;
}

.carousel__track-container {
    position: absolute;
    align-self: center;
    bottom: 8%;
    display: flex;
    gap: 12px;
    z-index: 30;
}

.carousel__track-item {
    width: 26px;
    height: 3px;
    border-radius: 10px;
    background: white;
    opacity: 0.7;
}

.carousel__track-item_active {
    width: 50px;
    opacity: 1;
}

.features-header {
    margin-bottom: 40px;
}

.features-subheader {
    margin-bottom: 16px;
}

.features-content {
    margin-bottom: 48px;
}

.features-button {
    margin-bottom: 128px;
}

@media screen and (max-width: 1500px) {
    .carousel__borders {
        visibility: hidden;
    }

    .carousel .next {
        right: 10%;
    }

    .carousel .prev {
        left: 10%;
    }

    .feature-container .text {
        width: 90vw;
    }

    .feature-container {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media screen and (max-width: 750px) {
    .carousel, .carousel__list, .carousel__item {
        height: 800px;
    }

    .features-header {
        margin-bottom: 20px;
    }

    .features-subheader {
        margin-bottom: 8px;
    }

    .features-content {
        margin-bottom: 32px;
    }

    .features-button {
        margin-bottom: 32px;
    }
    .feature-img {
        width: 320px;
    }

    .carousel .next {
        right: 5%;
    }

    .carousel .prev {
        left: 5%;
    }
}